Subject: bug#8825: 24.0.50; Problem with builtin gnutls on Windows

From: Juanma Barranquero <[email-masked]>
Date: Wed, 15 Jun 2011 02:48:18 +0200

On Wed, Jun 15, 2011 at 01:28,  <[email-masked]> wrote:

> Juanma:
>
> Are you using the libgnutls-26.dll in gnutls-2.10.1.zip (or
> gnutls-2.10.0.zip) from http://josefsson.org/gnutls4win?

The one in gnutls-2.10.1.zip, from that URL.

> Are you linking, explicitly, to a gnutls library when building?

No.

> Does libgnutls-26.dll show up when you do the equivalent of ldd
> on the emacs.exe binary?

On startup, no. Once I invoke GnuTLS, the following libraries get loaded:

libgcrypt-11.dll
libgnutls-26.dll
libgpg-error-0.dll
libtasn1-3.dll

> Sean's build is implicitly/dynamically using libgnutls-26.dll.

Yes, I know.

> I believe he only has the gnutls.h file and not any other file
> from the gnutls-2.10.0.zip archive.

I think gnutls/gnutls.h and gnutls/compat.h are required.

> The variable `dynamic-library-alist' shows:
>  (gnutls "libgnutls-26.dll"))

Yes, but note that does not mean that libgnutls-26.dll is the only
required DLL. It means that it is the only one that Emacs tries to
load dynamically. Any DLLs required by libgnutls-26.dll have to be in
the path, too.

> I'm on Windows XP, if it matters.

It shouldn't, though I'm not ready to bet on it ;-)

    Juanma